"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// import { getOptions } from 'loader-utils'
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const lodash_1 = __importDefault(require("lodash"));
const lessFilePathList = [];
function default_1(source) {
    lessFilePathList.push(this.resourcePath);
    const outputPath = this._compiler.outputPath;
    const entryPath = path_1.default.resolve(outputPath, './lessEntry.less');
    const lessContent = lodash_1.default.uniq(lessFilePathList)
        .map((lessPath) => {
        return `@import '${lessPath}';`;
    })
        .join('\n');
    fs_extra_1.default.ensureFileSync(entryPath);
    fs_extra_1.default.writeFileSync(entryPath, lessContent, {
        encoding: 'utf8',
    });
    return source;
}
exports.default = default_1;
