export declare type PromiseResult<T> = Promise<[null, T] | [Error, null]>;
export declare function promiseWrapper<T>(p: Promise<T>): PromiseResult<T>;
export declare function compressingZip(entryList: string[], distPath: string, opts?: {}): Promise<unknown>;
export interface IPackageJson {
    name: string;
    version: string;
    title?: string;
    desc?: string;
    dependencies: {
        [name: string]: string;
    };
    repository: {
        type: string;
        url: string;
    };
}
export declare function getPackageJson(cwd: string): Promise<IPackageJson>;
export declare function remove(dir: string): Promise<void>;
export declare function handlePathEscape(path: string): string;
export declare function getValidNodeModulesPath(): string;
export declare function getMd5(string: string, len?: number): string;
//# sourceMappingURL=common.d.ts.map